<?php

$title = 'Добавить В белый Каталог';

require_once('../system/function.php');
require_once('../system/header.php');

 if(!$user['id']){
header('Location: '.$HOME.'');
exit();
}

echo '<div class="title">'.$title.'</div>';

 if($user['level'] <= 1){
echo '<div class="podmenu"><center><b>У вас недостаточно прав чтобы добавить в белый каталог!</b></center></div>';
}

 if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$wmid = strong($_POST['wmid']);
$wmr = strong($_POST['wmr']);
$icq = strong($_POST['icq']);
$url = strong($_POST['url']);
$opis = strong($_POST['opis']);
$k_nick = strong($_POST['k_nick']);
$b_k = strong($_POST['b_k']);

 if(mb_strlen($name) < 3) $err = 'Введите ник от 3 до 20 символов';
 if(empty($name)) $err = 'Введите ник';

 if(empty($wmid)) $err = 'Введите WM-идентификатор пользователя';

 if(mb_strlen($opis) < 5) $err = 'Введите описание поступка от 5 до 100 символов';
 if(empty($opis)) $err = 'Введите описание проступка';

 if(empty($k_nick)) $err = 'Введите дополнительные ники';

 if($err){
echo '<div class="podmenu"><center>'.$err.'</center></div>';
require_once('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `user_god` SET `id` = '".$id."', `name` = '".$name."', `wmid` = '".$wmid."', `wmr` = '".$wmr."', `icq` = '".$icq."', `url` = '".$url."', `opis` = '".$opis."', `k_nick` = '".$k_nick."', `b_k` = '".$b_k."'");
echo '<div class="podmenu"><center><b>Успешно!</b> добавлен в базу</center></div>';
}

echo '<div class="podmenu">Поля отмеченные <b><font color="red">*</font> обязательны для заполнения.</b></div>';

echo '<div class="podmenu"><form action="" method="POST"> 
<font color="red">*</font>Ник:<br /> <input type="text" name="name" value=""/><br />
<font color="red">*</font>WMID Гаранта:<br /> <input type="text" name="wmid" value=""/><br />
WMR :<br /> <input type="text" name="wmr" value=""/><br />
ICQ:<br /> <input type="text" name="icq" value=""/><br />
На каком сайте:<br /> <input type="text" name="url" value=""/><br />
<font color="red">*</font>Описание услуг:<br /><textarea name="opis"></textarea><br />
<font color="red">*</font>Другие ники:<br /> <input type="text" name="k_nick" value=""/><br />
Кто:<br /><select name="b_k">
<option value="1">Гарант (Продавец)</option>
<option value="2">Гарант</option></select><br>
<input type="submit" name="submit" value="Добавить в базу" />
</form></div>';


require_once('../system/footer.php');

?>